Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTXabsl2Log Class Reference

`#include <GTXabsl2ProfilerLog.h>`

Collaboration diagram for GTXabsl2Log:

[legend]
List of all members.

## Public Member Functions
void | init (Xabsl2Engine &pEngine)
| Initialises the log for the a XabslEngine, creating NameTable and InputSymbolNameTable.
void | append (GTXabsl2LogEntry logentry)
| Appends a logentry to the current log.
void | clearAll ()
int | getIndexOfFrameNumber (unsigned int frameNumber)
| specific functions for log-access
int | getActiveOptionNumberAtFrameNumber (unsigned int frameNumber, int optionMaxDepth)
GTXabsl2ActiveOption | getOption (int index, int optionMaxDepth)
## Public Attributes
GTXabsl2ProfilerNameTable | nameTable
| NameTable for keeping corresponding names to numerical logs.
std::vector< std::string > | inputSymbolNames
| Names of the DecimalInputSymbols.

## Member Function Documentation

void GTXabsl2Log::init | ( | Xabsl2Engine & | pEngine | ) |

| Initialises the log for the a XabslEngine, creating NameTable and InputSymbolNameTable. Definition at line 89 of file GTXabsl2ProfilerLog.cpp. References Xabsl2Symbols::getBooleanInputSymbol(), Xabsl2Symbols::getDecimalInputSymbol(), Xabsl2Symbols::getEnumeratedInputSymbol(), GTXabsl2ProfilerNameTable::init(), inputSymbolNames, Xabsl2NamedItem::n, nameTable, Xabsl2Symbols::numberOfBooleanInputSymbols(), Xabsl2Symbols::numberOfDecimalInputSymbols(), and Xabsl2Symbols::numberOfEnumeratedInputSymbols(). Referenced by GTXabsl2Profiler::init().

Here is the call graph for this function:

void GTXabsl2Log::append | ( | GTXabsl2LogEntry | logentry | ) |

| Appends a logentry to the current log.

void GTXabsl2Log::clearAll | ( |  | ) |

| Definition at line 162 of file GTXabsl2ProfilerLog.cpp. References inputSymbolNames, and nameTable.

int GTXabsl2Log::getIndexOfFrameNumber | ( | unsigned int | frameNumber | ) |

| specific functions for log-access Definition at line 172 of file GTXabsl2ProfilerLog.cpp.

int GTXabsl2Log::getActiveOptionNumberAtFrameNumber | ( | unsigned int | frameNumber,
|  | int | optionMaxDepth
| ) |

| Definition at line 182 of file GTXabsl2ProfilerLog.cpp. References GTXabsl2ProfilerNameTable::maxDepth, and nameTable.

GTXabsl2ActiveOption GTXabsl2Log::getOption | ( | int | index,
|  | int | optionMaxDepth
| ) |

| Definition at line 201 of file GTXabsl2ProfilerLog.cpp. References GTXabsl2ProfilerNameTable::maxDepth, and nameTable.

## Member Data Documentation

GTXabsl2ProfilerNameTable GTXabsl2Log::nameTable

| NameTable for keeping corresponding names to numerical logs. Definition at line 120 of file GTXabsl2ProfilerLog.h. Referenced by clearAll(), getActiveOptionNumberAtFrameNumber(), getOption(), init(), operator<<(), operator>>(), and GTXabsl2Profiler::recordLog().

std::vector<std::string> GTXabsl2Log::inputSymbolNames

| Names of the DecimalInputSymbols. Definition at line 123 of file GTXabsl2ProfilerLog.h. Referenced by clearAll(), init(), operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerLog.h
- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerLog.cpp